import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询工序数据
export function getProcessList(query) {
  return request({
    url: baseUrl + '/business/amend/processList',
    method: 'get',
    params: query
  })
}

// 查询工序数据
export function selectStandardProcess(processId) {
  return request({
    url: baseUrl + '/business/amend/standardProcess/'+processId,
    method: 'get',
  })
}




//新增修改后工艺信息
export function addAmend(lotId,data) {
  return request({
    url: baseUrl + '/business/amend/addAmend/'+lotId,
    method: 'post',
    data: data
  })
}

/** 多批单改 */
export function addMultiAmend(data) {
  return request({
    url: baseUrl + '/business/amend/addMultiAmend',
    method: 'post',
    data: data
  })
}


export function lotParticulars(lotCode) { 
  return request({
    url: baseUrl + '/business/amend/lotParticulars/'+lotCode,
    method: 'get',
  })
}